Compose digital form envelope

Creates a new digital form envelope that recipients may complete. This is our most versatile endpoint for creating envelopes. We provide other endpoints which improve the developer experience for certain integration use cases. Speak to our enterprise support team if you are unsure which compose endpoint to use.

Permissions

The following permissions are required to call this API. Learn more.

Permission typePermissions
API key action permissionCompose
Folder access control list permissionSender

Remarks

Because this endpoint is general purpose, usage of this endpoint usually requires you to specify values in the .values collection. Documentation for acceptable values for the workflow you are composing is provided by our enterprise support team.

Body Params

Configures a request for a set of recipients to be provided with a digital form for them to complete.

uuid | null

An optional unique request ID (uuid) for resiliance and debugging purposes. Send any properly generated new uuid. If one is not provided (not recommended), a new request ID will be generated for you.

string | null

Optionally specifies the path to the folder, seperated by forward slashes '/' that the resulting file data will be stored in.
If a folder is not specified, the default folder of the application will be used, if it has one. If no folder can be resolved, an error will be raised.

string | null

Optionally specifies the brand name which will be used to apply a branded experience to the user workflow.
If a brand is not specified, the default brand of the folder will be used.

sentFor
required

Specifies the user who is the point of contact with the recipients for any queries they have regarding this request.

values
array | null

An optional collection of field values that will be used by the envelope workflow, for example, during report generation, or to set defaults.
Consult your specific workflow documentation for a table of possible field values.

values
string | null

Optional. Specifies the webhook URL for notifications from Finch. Only secure and authorised URLs will be accepted.

string | null

Optional. Specifies the webhook event codes to subscribe to, seperated by commas.

string | null

Optional. Supports markdown. The invitation body message to be communicated to the recipients.

boolean | null

Optional. Set to true to require a Finch user to review the entire file prior to executing any enclosed documents. Set to false to auto-execute files where applicable. Defaults to true. The customer's workflow configuration may override your setting.

communications

Optional. Specifies which communications will be sent from Finch. Leave unspecified to use workflow configuration defaults, which is typically all communications enabled.

string
required
length ≥ 1

Specifies a workflow that will be used as the digital journey experience for the recipients.

recipients
array of objects
required
length ≥ 1

A collection of recipients who will be sent the workflow to complete.

recipients*
Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json